"use strict";

const { validateValue } = require("@validatem/core");
const postcssNested = require("postcss-nested");
const isPostCSSPlugin = require("./");

/* Plugin (factory) */
console.log(validateValue(postcssNested, [ isPostCSSPlugin ])); // { process: [Function] }

/* Plugin function (instance) */
console.log(validateValue(postcssNested(), [ isPostCSSPlugin ])); // { postcssPlugin: 'postcss-nested', postcssVersion: '7.0.32' }

console.log(validateValue("hello world", [ isPostCSSPlugin ])); /*
	AggregrateValidationError: One or more validation errors occurred:
	 - At (root): Must be a PostCSS plugin
*/
